## os-faults 0.1.10

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6

ansible>=2.0
appdirs>=1.3.0 # MIT License
jsonschema>=2.0.0,!=2.5.0,<3.0.0 # MIT
iso8601>=0.1.9
oslo.i18n>=1.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils!=2.6.0,>=2.4.0 # Apache-2.0
pyghmi>=1.0.3 # Apache-2.0
PyYAML>=3.1.0 # MIT
six>=1.9.0

=== debian/changelog ===
os-faults (0.1.10-0ubuntu1) zesty; urgency=medium

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 17 Feb 2017 15:30:11 -0500

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

PYTHONS:=$(shell pyversions -vr)

-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-os-faults; \
	done

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
	cp -rf doc/build/html $(CURDIR)/debian/python-os-xenapi/usr/share/doc/python-os-xenapi-doc
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## os-faults 0.1.17

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0.0 # Apache-2.0

ansible>=2.2
appdirs>=1.3.0 # MIT License
click>=6.7 # BSD
iso8601>=0.1.11 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
pyghmi>=1.0.9 # Apache-2.0
PyYAML>=3.10.0 # MIT
six>=1.9.0 # MIT

=== debian/changelog ===
os-faults (0.1.17-0ubuntu1.1) bionic; urgency=medium

  * d/rules: Add PBR_VERSION to set correct distro version for package build.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Mar 2018 09:10:07 -0400

os-faults (0.1.17-0ubuntu1) bionic; urgency=medium

  * New upstream release for compatibility with ansible 2.4.  LP: #1751831.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 22 Mar 2018 22:40:42 -0700

=== debian/control ===
Source: os-faults
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: ansible (>= 2.0),
                     python-appdirs (>= 1.3.0),
                     python-ddt,
                     python-iso8601 (>= 0.1.9),
                     python-jsonschema (>= 2.0.0),
                     python-mock,
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 2.4.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-pyghmi,
                     python-pytest (>= 2.7),
                     python-six (>= 1.9.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-yaml,
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-python

Package: python-os-faults
Architecture: all
Depends: ansible (>= 2.0),
         python-appdirs (>= 1.3.0),
         python-iso8601(>= 0.1.9),
         python-jsonschema (>= 2.0.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 2.4.0),
         python-pyghmi,
         python-six (>= 1.9.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-os-faults-doc
Description: OpenStack fault-injection library (Python 2)
 The library does destructive actions inside an OpenStack cloud. It provides
 an abstraction layer over different types of cloud deployments. The actions
 are implemented as drivers (e.g. DevStack driver, Fuel driver, Libvirt driver,
 IPMI driver).
 .
 This package installs the library for Python 2.

Package: python-os-faults-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack fault-injection library (common documentation)
 The library does destructive actions inside an OpenStack cloud. It provides
 an abstraction layer over different types of cloud deployments. The actions
 are implemented as drivers (e.g. DevStack driver, Fuel driver, Libvirt driver,
 IPMI driver).
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 #export DH_VERBOSE = 1
 
 PYTHONS:=$(shell pyversions -vr)
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 -include /usr/share/openstack-pkg-tools/pkgos.make
